import django.conf
if not hasattr(django.conf, 'settings_configured'):
    django.conf.settings.configure()
    django.conf.settings_configured = True
    from lockers.application import TEMPLATEROOTS
    # Although we have our own load_template function in lockers.template,
    # django still needs to know where to go to find templates used in
    # {% extends %} and {% load %} commands.
    django.conf.settings._target.TEMPLATE_DIRS = TEMPLATEROOTS
