from __future__ import with_statement
from lockers import application


# N.B.: different from /user/! /user/ is for the actions a user might
# take -- log in, log out, change pw, etc.. /users/ is for viewing users.


class UsersApplication(application.LockersApplication):
    def __call__(self, request):
        super(UsersApplication, self).__call__(request)
        return self.render_to_response(request, 'users/main.html', {})

users = UsersApplication
