# Liberated from docutils
import TestSupport
import os, sys, time

start = time.time()

import package_unittest
import lockers

def suite():
    path, script = os.path.split(sys.argv[0])
    suite = package_unittest.loadTestModules(TestSupport.testroot,
                                             'test_', packages=1)
    sys.stdout.flush()
    return suite

if __name__ == '__main__':
    suite = suite()
    print ('Testing Lockers %s [%s] with Python %s on %s at %s'
           % (lockers.__version__, lockers.__version_details__,
              sys.version.split()[0],
              time.strftime('%Y-%m-%d'), time.strftime('%H:%M:%S')))
    print 'Working directory: %s' % os.getcwd()
    print 'Lockers package: %s' % os.path.dirname(lockers.__file__)
    sys.stdout.flush()
    package_unittest.main(suite)
    #if package_unittest.verbosity > 1:
    #    print >>sys.stderr, pformat(suite) # check the test suite
    finish = time.time()
    print 'Elapsed time: %.3f seconds' % (finish - start)
