# Lightly modified version of a __init__ from docutils
# We use this so we can find TestSupport using only one file
import os
import os.path
import sys

orig = os.path.abspath(os.path.dirname(__file__))
sys.path.insert(0, orig)
prev = ''
while sys.path[0] != prev:
    try:
        import TestSupport
        break
    except ImportError, e:
        if e.message != 'No module named TestSupport':
            print sys.path
            raise e
        prev = sys.path[0]
        sys.path[0] = os.path.dirname(prev)
sys.path.pop(0)
sys.path.insert(0, orig)
