import TestSupport
import TestApplication

import lockers.utils

class UtilsTests(TestSupport.TestCase):
    def test_mimetype(self):
        mimetype = lockers.utils.mimetype(__file__)
        message = 'mimetype wrong: %s'%mimetype
        if __file__.endswith('.pyc'):
            assert mimetype == 'application/octet-stream', message
        else:
            assert lockers.utils.mimetype(__file__).startswith('text/'), message

TestSupport.run(__name__)
